Color calculations
Description: C source code API documentation for the Oyranos project.
Keywords: Oyranos,Color Management,Color Management,ICC,CMS,C,doxygen,API,documentation

| Oyranos Color Management System API - Version 0.9.6

Functions
Color calculations
Color

Fast hardcoded color conversions. More...

Collaboration diagram for Color calculations:

## Functions
void | oyLab2XYZ (const double *CIELab, double *XYZ)
| CIE Lab to ICC XYZ. More...
void | oyXYZ2Lab (const double *XYZ, double *lab)
| ICC XYZ to CIE * Lab. More...
void | oyCIEabsXYZ2ICCrelXYZ (const double *CIEXYZ, double *ICCXYZ, const double *XYZmin, const double *XYZmax, const double *XYZwhite)
| CIE absolute colorimetric to ICC relative colorimetric. More...
void | oyICCXYZrel2CIEabsXYZ (const double *ICCXYZ, double *CIEXYZ, const double *XYZmin, const double *XYZmax, const double *XYZwhite)
| ICC relative colorimetric to CIE absolute colorimetric. More...

## Detailed Description

Fast hardcoded color conversions.

## Function Documentation

## ◆ oyCIEabsXYZ2ICCrelXYZ()

void oyCIEabsXYZ2ICCrelXYZ | ( | const double * | CIEXYZ,
|  | double * | ICCXYZ,
|  | const double * | XYZmin,
|  | const double * | XYZmax,
|  | const double * | XYZwhite
| ) |  |

CIE absolute colorimetric to ICC relative colorimetric.

Function oyCIEabsXYZ2ICCrelXYZ

Parameters

  [in] | CIEXYZ | CIE absolute colorimetric input
  [out] | ICCXYZ | ICC relative colorimetric output
  [in] | XYZmin | CIE absolute black point
  [in] | XYZmax | CIE absolute media white
  [in] | XYZwhite | illuminant white

Since
  Oyranos: version 0.1.8

Date
  2008/01/20 (API 0.1.8)

## ◆ oyICCXYZrel2CIEabsXYZ()

void oyICCXYZrel2CIEabsXYZ | ( | const double * | ICCXYZ,
|  | double * | CIEXYZ,
|  | const double * | XYZmin,
|  | const double * | XYZmax,
|  | const double * | XYZwhite
| ) |  |

ICC relative colorimetric to CIE absolute colorimetric.

Function oyICCXYZrel2CIEabsXYZ

Parameters

  [in] | ICCXYZ | ICC relative colorimetric input
  [out] | CIEXYZ | CIE absolute colorimetric output
  [in] | XYZmin | CIE absolute black point
  [in] | XYZmax | CIE absolute media white
  [in] | XYZwhite | illuminant white

Since
  Oyranos: version 0.1.8

Date
  2008/01/20 (API 0.1.8)

## ◆ oyLab2XYZ()

void oyLab2XYZ | ( | const double * | CIELab,
|  | double * | XYZ
| ) |  |

CIE Lab to ICC XYZ.

## ◆ oyXYZ2Lab()

void oyXYZ2Lab | ( | const double * | XYZ,
|  | double * | lab
| ) |  |

ICC XYZ to CIE * Lab.